clang 8.0.0

Public Member Functions | Public Attributes | List of all members
clang::FileData Struct Reference

`#include "clang/Basic/FileSystemStatCache.h"`

Collaboration diagram for clang::FileData:
[legend]

## Public Member Functions
| FileData ()=default

## Public Attributes
std::string | Name
uint64_t | Size = 0
time_t | ModTime = 0
llvm::sys::fs::UniqueID | UniqueID
bool | IsDirectory = false
bool | IsNamedPipe = false
bool | InPCH = false
bool | IsVFSMapped = false

## Detailed Description

Definition at line 42 of file FileSystemStatCache.h.

## Constructor & Destructor Documentation

## ◆ FileData()

clang::FileData::FileData | ( |  | ) |
| default

## Member Data Documentation

## ◆ InPCH

bool clang::FileData::InPCH = false

Definition at line 49 of file FileSystemStatCache.h.

Referenced by clang::FileManager::getFile(), and clang::FileManager::getVirtualFile().

## ◆ IsDirectory

bool clang::FileData::IsDirectory = false

Definition at line 47 of file FileSystemStatCache.h.

Referenced by clang::MemorizeStatCalls::getStat().

## ◆ IsNamedPipe

bool clang::FileData::IsNamedPipe = false

Definition at line 48 of file FileSystemStatCache.h.

Referenced by clang::FileManager::getFile(), and clang::FileManager::getVirtualFile().

## ◆ IsVFSMapped

bool clang::FileData::IsVFSMapped = false

Definition at line 52 of file FileSystemStatCache.h.

Referenced by clang::FileManager::getFile().

## ◆ ModTime

time_t clang::FileData::ModTime = 0

Definition at line 45 of file FileSystemStatCache.h.

Referenced by clang::FileManager::getFile(), and clang::FileManager::getVirtualFile().

## ◆ Name

std::string clang::FileData::Name

Definition at line 43 of file FileSystemStatCache.h.

Referenced by clang::FileManager::getFile(), and clang::FileManager::getVirtualFile().

## ◆ Size

uint64_t clang::FileData::Size = 0

Definition at line 44 of file FileSystemStatCache.h.

Referenced by clang::FileManager::getFile(), and clang::FileManager::getVirtualFile().

## ◆ UniqueID

llvm::sys::fs::UniqueID clang::FileData::UniqueID

Definition at line 46 of file FileSystemStatCache.h.

Referenced by clang::FileManager::getDirectory(), clang::FileManager::getFile(), and clang::FileManager::getVirtualFile().

The documentation for this struct was generated from the following file:

- include/clang/Basic/FileSystemStatCache.h